diff --git a/src/UI/CityBuildings_private.h b/src/UI/CityBuildings_private.h
index da9315b21..7418a7af4 100644
--- a/src/UI/CityBuildings_private.h
+++ b/src/UI/CityBuildings_private.h
@@ -97,7 +97,7 @@ void UI_CityBuildings_drawOverlayTopsFiguresAnimation(int overlay);
 
 void UI_CityBuildings_drawFigure(int figureId, int xOffset, int yOffset,
 	int selectedFigureId, struct UI_CityPixelCoordinate *coord);
-void UI_CityBuildings_drawBridge(int gridOffset, int xOffset, int yOffset);
+void UI_CityBuildings_drawBridge(int gridOffset, int x, int y);
 
 void UI_CityBuildings_drawSelectedBuildingGhost();
 
diff --git a/src/building/granary.h b/src/building/granary.h
index 85d6c25d7..43c351fdc 100644
--- a/src/building/granary.h
+++ b/src/building/granary.h
@@ -10,7 +10,7 @@ enum {
 
 int building_granary_get_amount(building *granary, int resource);
 
-int building_granary_add_resource(building *granary, int resource, int count_as_produced);
+int building_granary_add_resource(building *granary, int resource, int is_produced);
 
 int building_granary_remove_resource(building *granary, int resource, int amount);
 
diff --git a/src/city/warning.h b/src/city/warning.h
index 9b5342247..cc84dc0ad 100644
--- a/src/city/warning.h
+++ b/src/city/warning.h
@@ -55,7 +55,7 @@ typedef enum {
     WARNING_DATA_LIMIT_REACHED = 65
 } warning_type;
 
-void city_warning_show(warning_type warning);
+void city_warning_show(warning_type type);
 
 int city_has_warnings();
 
diff --git a/src/figure/enemy_army.h b/src/figure/enemy_army.h
index 8850af33c..9dbf2de73 100644
--- a/src/figure/enemy_army.h
+++ b/src/figure/enemy_army.h
@@ -38,8 +38,8 @@ void enemy_army_calculate_roman_influence();
 
 int enemy_army_is_stronger_than_legions();
 
-void enemy_armies_save_state(buffer *buf, buffer *totals);
+void enemy_armies_save_state(buffer *buf, buffer *totals_buf);
 
-void enemy_armies_load_state(buffer *buf, buffer *totals);
+void enemy_armies_load_state(buffer *buf, buffer *totals_buf);
 
 #endif // FIGURE_ENEMY_ARMY_H
diff --git a/src/figure/formation.h b/src/figure/formation.h
index 50c6b89a0..3be157060 100644
--- a/src/figure/formation.h
+++ b/src/figure/formation.h
@@ -127,7 +127,7 @@ void formations_clear();
 
 void formation_clear(int formation_id);
 
-formation *formation_create_legion(int building_id, int x, int y, figure_type figure_type);
+formation *formation_create_legion(int building_id, int x, int y, figure_type type);
 int formation_create_herd(int figure_type, int x, int y, int num_animals);
 int formation_create_enemy(int figure_type, int x, int y, int layout, int orientation,
                            int enemy_type, int attack_type, int invasion_id, int invasion_sequence);
diff --git a/src/map/bridge.c b/src/map/bridge.c
index 58788ffa2..ba8b2c37e 100644
--- a/src/map/bridge.c
+++ b/src/map/bridge.c
@@ -289,7 +289,7 @@ int map_bridge_count_figures(int grid_offset)
     return figures;
 }
 
-void map_bridge_update_after_rotate(int ccw)
+void map_bridge_update_after_rotate(int counter_clockwise)
 {
     for (int y = 0; y < Data_State.map.height; y++) {
         for (int x = 0; x < Data_State.map.width; x++) {
@@ -297,16 +297,16 @@ void map_bridge_update_after_rotate(int ccw)
             if (map_is_bridge(grid_offset)) {
                 int new_value;
                 switch (map_sprite_bridge_at(grid_offset)) {
-                    case 1: new_value = ccw ? 2 : 4; break;
-                    case 2: new_value = ccw ? 3 : 1; break;
-                    case 3: new_value = ccw ? 4 : 2; break;
-                    case 4: new_value = ccw ? 1 : 3; break;
+                    case 1: new_value = counter_clockwise ? 2 : 4; break;
+                    case 2: new_value = counter_clockwise ? 3 : 1; break;
+                    case 3: new_value = counter_clockwise ? 4 : 2; break;
+                    case 4: new_value = counter_clockwise ? 1 : 3; break;
                     case 5: new_value = 6; break;
                     case 6: new_value = 5; break;
-                    case 7: new_value = ccw ? 8 : 10; break;
-                    case 8: new_value = ccw ? 9 : 7; break;
-                    case 9: new_value = ccw ? 10 : 8; break;
-                    case 10: new_value = ccw ? 7 : 9; break;
+                    case 7: new_value = counter_clockwise ? 8 : 10; break;
+                    case 8: new_value = counter_clockwise ? 9 : 7; break;
+                    case 9: new_value = counter_clockwise ? 10 : 8; break;
+                    case 10: new_value = counter_clockwise ? 7 : 9; break;
                     case 11: new_value = 12; break;
                     case 12: new_value = 11; break;
                     case 13: new_value = 13; break;
diff --git a/src/window/empire.c b/src/window/empire.c
index 6689b90f2..097c3c43c 100644
--- a/src/window/empire.c
+++ b/src/window/empire.c
@@ -40,7 +40,7 @@ static image_button image_button_return_to_city[] = {
     {0, 0, 24, 24, IB_NORMAL, 134, 4, button_return_to_city, button_none, 0, 0, 1}
 };
 static image_button image_button_advisor[] = {
-    {-4, 0, 24, 24, IB_NORMAL, 199, 12, button_advisor, button_none, 5, 0, 1}
+    {-4, 0, 24, 24, IB_NORMAL, 199, 12, button_advisor, button_none, ADVISOR_TRADE, 0, 1}
 };
 static generic_button generic_button_open_trade[] = {
     {50, 68, 450, 91, GB_IMMEDIATE, button_open_trade, button_none, 0, 0}
@@ -543,9 +543,9 @@ static void button_return_to_city(int param1, int param2)
     window_city_show();
 }
 
-static void button_advisor(int param1, int param2)
+static void button_advisor(int advisor, int param2)
 {
-    window_advisors_show_advisor(ADVISOR_TRADE);
+    window_advisors_show_advisor(advisor);
 }
 
 static void confirmed_open_trade(int accepted)
diff --git a/src/window/sound_options.c b/src/window/sound_options.c
index 49abc3123..271da99cc 100644
--- a/src/window/sound_options.c
+++ b/src/window/sound_options.c
@@ -18,10 +18,10 @@ static void button_toggle(int type, int param2);
 static void button_ok(int param1, int param2);
 static void button_cancel(int param1, int param2);
 
-static void arrow_button_music(int param1, int param2);
-static void arrow_button_speech(int param1, int param2);
-static void arrow_button_effects(int param1, int param2);
-static void arrow_button_city(int param1, int param2);
+static void arrow_button_music(int is_down, int param2);
+static void arrow_button_speech(int is_down, int param2);
+static void arrow_button_effects(int is_down, int param2);
+static void arrow_button_city(int is_down, int param2);
 
 static generic_button buttons[] = {
     {64, 162, 288, 182, GB_IMMEDIATE, button_toggle, button_none, SOUND_MUSIC, 0},
